Main Page Packages Class Hierarchy Compound List File List Compound Members

# characterdatadeletedataend Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| characterdatadeletedataend (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "deleteData(offset,count)" method removes a range of characters from the node. Delete data at the end of the character data.

Retrieve the character data from the last child of the first employee. The "deleteData(offset,count)" method is then called with offset=30 and count=5. The method should delete the characters from position 30 thru position 35. The new value of the character data should be "1230 North Ave. Dallas, Texas".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-72AB8359 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-7C603781

Definition at line 49 of file characterdatadeletedataend.java.

## Constructor & Destructor Documentation

characterdatadeletedataend::characterdatadeletedataend | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file characterdatadeletedataend.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String characterdatadeletedataend::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file characterdatadeletedataend.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdatadeletedataend";
    00074    }

void characterdatadeletedataend::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file characterdatadeletedataend.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(characterdatadeletedataend.class,args);
    00077    }

void characterdatadeletedataend::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file characterdatadeletedataend.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList elementList;
    00060       Node nameNode;
    00061       CharacterData child;
    00062       String childData;
    00063       doc = load("staff");
    00064       elementList = doc.getElementsByTagName("address");
    00065       nameNode = elementList.item(0);
    00066       child = (CharacterData)nameNode.getFirstChild();
    00067       child.deleteData(30,5);
    00068       childData = child.getData();
    00069       assertEquals("characterdataDeleteDataEndAssert","1230 North Ave. Dallas, Texas ",childData);
    00070
    00071    }

The documentation for this class was generated from the following file:

- characterdatadeletedataend.java